> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# エンドポイント フィードバック

> 完了した v2 エンドポイントジョブに対するフィードバックを送信します。

エンドポイント フィードバックを使うと、完了したジョブの結果が有用だったか、部分的に有用だったか、あるいは不適切だったかを Firecrawl に伝えられます。これは、`scrape`、`parse`、`map`、`search` などのジョブにおける、エンドポイント単位の出力品質を評価するためのものです。

汎用的なフィードバック スキーマには search 向けのフィールドも含められますが、[Search Feedback](/ja/api-reference/endpoint/search-feedback) は search 専用の推奨エントリーポイントです。これは search ジョブ ID に紐づいており、価値のあるソース、不足しているコンテンツ、query の提案、返金の扱いを示します。

<div id="example-request">
  ### リクエスト例
</div>

```bash theme={null}
curl -X POST "https://api.firecrawl.dev/v2/feedback" \
  -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "endpoint": "scrape",
    "jobId": "550e8400-e29b-41d4-a716-446655440000",
    "rating": "partial",
    "issues": ["missing_markdown"],
    "note": "The pricing table was missing from the markdown output.",
    "url": "https://example.com/pricing"
  }'
```


## OpenAPI

````yaml ja/api-reference/v2-openapi.json POST /feedback
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /feedback:
    post:
      tags:
        - Feedback
      summary: v2 ジョブのフィードバックを送信
      operationId: submitEndpointFeedback
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EndpointFeedbackRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackResponse'
          description: フィードバックを記録しました
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackErrorResponse'
          description: 無効なリクエストボディ
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackErrorResponse'
          description: このチームではフィードバックを利用できません
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackErrorResponse'
          description: このチームのジョブが見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackErrorResponse'
          description: このジョブにはフィードバックを記録できません
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackErrorResponse'
          description: サーバーエラー
      security:
        - bearerAuth: []
components:
  schemas:
    EndpointFeedbackRequest:
      allOf:
        - $ref: '#/components/schemas/SearchFeedbackRequest'
        - description: >-
            v2
            ジョブのフィードバックを送信します。issues、note、valuableSources、missingContent、querySuggestions、url、pageNumbers
            などの実質的なシグナルを少なくとも 1 つ含めてください。
          properties:
            endpoint:
              enum:
                - search
                - scrape
                - parse
                - map
              type: string
            issues:
              items:
                maxLength: 80
                pattern: ^[a-z0-9][a-z0-9_-]*$
                type: string
              maxItems: 20
              type: array
            jobId:
              format: uuid
              type: string
            metadata:
              additionalProperties: true
              description: >-
                小さなエンドポイント固有のメタデータオブジェクトです。8KB
                以下にする必要があります。エンドポイントの完全な結果は含めないでください。
              type: object
            missingContent:
              items:
                properties:
                  description:
                    maxLength: 2000
                    type: string
                  topic:
                    maxLength: 200
                    minLength: 1
                    type: string
                required:
                  - topic
                type: object
              maxItems: 50
              type: array
            note:
              maxLength: 4000
              type: string
            pageNumbers:
              items:
                minimum: 1
                type: integer
              maxItems: 100
              type: array
            tags:
              items:
                maxLength: 80
                pattern: ^[a-z0-9][a-z0-9_-]*$
                type: string
              maxItems: 20
              type: array
            url:
              format: uri
              type: string
          required:
            - endpoint
            - jobId
          type: object
    FeedbackResponse:
      properties:
        alreadySubmitted:
          type: boolean
        creditsRefunded:
          type: number
        creditsRefundedToday:
          type: number
        dailyCapReached:
          type: boolean
        dailyRefundCap:
          type: number
        feedbackId:
          format: uuid
          type: string
        success:
          example: true
          type: boolean
        warning:
          type: string
      required:
        - success
        - feedbackId
        - creditsRefunded
      type: object
    FeedbackErrorResponse:
      properties:
        details:
          items:
            type: object
          type: array
        error:
          type: string
        feedbackErrorCode:
          type: string
        success:
          example: false
          type: boolean
      required:
        - success
        - error
      type: object
    SearchFeedbackRequest:
      description: >-
        'good' の場合は valuableSources を含めてください。'partial' の場合は valuableSources または
        missingContent を含めてください。'bad' の場合は missingContent または querySuggestions
        を含めてください。
      properties:
        integration:
          nullable: true
          type: string
        missingContent:
          items:
            properties:
              description:
                maxLength: 2000
                type: string
              topic:
                maxLength: 200
                minLength: 1
                type: string
            required:
              - topic
            type: object
          maxItems: 20
          type: array
        origin:
          default: api
          type: string
        querySuggestions:
          maxLength: 2000
          type: string
        rating:
          enum:
            - good
            - partial
            - bad
          type: string
        valuableSources:
          items:
            properties:
              reason:
                maxLength: 1000
                type: string
              url:
                format: uri
                type: string
            required:
              - url
            type: object
          maxItems: 50
          type: array
      required:
        - rating
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````